Subject: Re: Working Group Last Call: Bootstrapping WebSockets with HTTP/2

From: Patrick McManus <[email-masked]>
Date: Wed, 02 May 2018 20:52:02 +0000 (UTC)

On Wed, Mar 28, 2018 at 6:43 PM, Mike Bishop <[email-masked]> wrote:

>
>    - Section 4 says that CONNECT is defined in RFC 7540, Section 8.3,
>    which isn’t quite accurate.
>       - 7540 just has the description of how CONNECT gets mapped into
>       HTTP/2’s framing layer, because it’s not quite the same as other methods.
>       This document probably doesn’t need to actually modify 7540, because it’s
>       employing the extension framework defined therein.
>       - The CONNECT method itself is actually defined in 7231, section
>       4.3.6.  You’re changing how the authority is interpreted in these requests;
>       are we sure this doesn’t need to be marked as modifying 7231?
>
> This is interesting, and I've made a small edit so that the text says the
"usage of the connect method in http/2 is defined by 7540.." to make it
more clear. But I do think 7540 defines more than mere header mappings vs
7231.. it for example says explicitly "a TCP connection to the server
identified in the :authority", which is exactly the thing being overriden
by this extension.. so I think we're ok with not updating 7231

>
>    -
>       -
>    - Section 5 “replaces the GET based request in [RFC6455]” and makes
>    other modifications to the requirements contained therein. This seems to
>    suggest that it updates RFC6455 as well.
>
> I'm not entirely sure if it updates 6455 or just sort of incorporates 6455
into a whole new use case, but in any event its useful reading for
consumers of 6455 so I agree we should add that meta data. I am curious
about Mark and/or Alexey's take on this too.

 Thanks!

---

From: Mark Nottingham <[email-masked]>
Date: Thu, 3 May 2018 08:44:27 +1000

On 3 May 2018, at 6:52 am, Patrick McManus <[email-masked]> wrote:
> 
> 	• Section 5 “replaces the GET based request in [RFC6455]” and makes other modifications to the requirements contained therein. This seems to suggest that it updates RFC6455 as well.
> I'm not entirely sure if it updates 6455 or just sort of incorporates 6455 into a whole new use case, but in any event its useful reading for consumers of 6455 so I agree we should add that meta data. I am curious about Mark and/or Alexey's take on this too.

It's a good question; this is a fuzzy area.

I'm happy to just point out the possibility in the Shepherd's Writeup and let the IESG figure it out, since it's almost certain to be debated there no matter what we do here. Does that work for everyone?

--
Mark Nottingham   https://www.mnot.net/

---

From: Patrick McManus <[email-masked]>
Date: Wed, 02 May 2018 23:17:45 +0000 (UTC)

wfm thanks

On Wed, May 2, 2018 at 6:44 PM, Mark Nottingham <[email-masked]> wrote:

> >       • Section 5 “replaces the GET based request in [RFC6455]” and
> makes other modifications to the requirements contained therein. This seems
> to suggest that it updates RFC6455 as well.
> > I'm not entirely sure if it updates 6455 or just sort of incorporates
> 6455 into a whole new use case, but in any event its useful reading for
> I'm happy to just point out the possibility in the Shepherd's Writeup and
> let the IESG figure it out, since it's almost certain to be debated there
> no matter what we do here. Does that work for everyone?
>
> --